Loading...
Searching...
No Matches
AVDetectionBBox Struct Reference

`#include <libavutil/detection_bbox.h>`

## Data Fields

int | x
| Distance in pixels from the left/top edge of the frame, together with width and height, defining the bounding box.
int | y
int | w
int | h
char | detect_label [AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE]
| Detect result with confidence.
AVRational | detect_confidence
uint32_t | classify_count
char | classify_labels [AV_NUM_DETECTION_BBOX_CLASSIFY][AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE]
AVRational | classify_confidences [AV_NUM_DETECTION_BBOX_CLASSIFY]

## Detailed Description

Definition at line 26 of file detection_bbox.h.

## Field Documentation

## x

int AVDetectionBBox::x

Distance in pixels from the left/top edge of the frame, together with width and height, defining the bounding box.

Definition at line 31 of file detection_bbox.h.

## y

int AVDetectionBBox::y

Definition at line 32 of file detection_bbox.h.

## w

int AVDetectionBBox::w

Definition at line 33 of file detection_bbox.h.

## h

int AVDetectionBBox::h

Definition at line 34 of file detection_bbox.h.

## detect_label

char AVDetectionBBox::detect_label[AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE]

Detect result with confidence.

Definition at line 41 of file detection_bbox.h.

## detect_confidence

AVRational AVDetectionBBox::detect_confidence

Definition at line 42 of file detection_bbox.h.

## classify_count

uint32_t AVDetectionBBox::classify_count

Definition at line 51 of file detection_bbox.h.

## classify_labels

char AVDetectionBBox::classify_labels[AV_NUM_DETECTION_BBOX_CLASSIFY][AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE]

Definition at line 52 of file detection_bbox.h.

## classify_confidences

AVRational AVDetectionBBox::classify_confidences[AV_NUM_DETECTION_BBOX_CLASSIFY]

Definition at line 53 of file detection_bbox.h.

The documentation for this struct was generated from the following file:

- libavutil/detection_bbox.h